# eric4.install

Installation script for the eric4 IDE and all eric4 related tools.

### Classes

None

### Functions

cleanUp | Uninstall the old eric files.
copyToFile | Copy a string to a file.
copyTree | Copy Python, translation, documentation, wizards configuration, designer template files and DTDs of a directory tree.
createConfig | Create a config file with the respective config entries.
createGlobalPluginsDir | Create the global plugins directory, if it doesn't exist.
createInstallConfig | Create the installation config dictionary.
createPyWrapper | Create an executable wrapper for a Python script.
doDependancyChecks | Perform some dependancy checks.
getAPIsPath | Get the name of the directory containing the API files.
initGlobals | Sets the values of globals that need more than a simple assignment.
installEric | Actually perform the installation steps.
main | The main function of the script.
usage | Display a usage message and exit.
wrapperName | Create the platform specific name for the wrapper script.

## cleanUp

cleanUp()

Uninstall the old eric files.

Up

## copyToFile

copyToFile(name, text)

Copy a string to a file.

name
  the name of the file.
text
  the contents to copy to the file.

Up

## copyTree

copyTree(src, dst, filters, excludeDirs=[])

Copy Python, translation, documentation, wizards configuration, designer template files and DTDs of a directory tree.

src
  name of the source directory
dst
  name of the destination directory
filters
  list of filter pattern determining the files to be copied
excludeDirs
  list of (sub)directories to exclude from copying

Up

## createConfig

createConfig()

Create a config file with the respective config entries.

Up

## createGlobalPluginsDir

createGlobalPluginsDir()

Create the global plugins directory, if it doesn't exist.

Up

## createInstallConfig

createInstallConfig()

Create the installation config dictionary.

Up

## createPyWrapper

createPyWrapper(pydir, wfile)

Create an executable wrapper for a Python script.

pydir
  the name of the directory where the Python script will eventually be installed
wfile
  the basename of the wrapper

Returns:
  the platform specific name of the wrapper

Up

## doDependancyChecks

doDependancyChecks()

Perform some dependancy checks.

Up

## getAPIsPath

getAPIsPath(progLanguage = None)

Get the name of the directory containing the API files.

progLanguage
  programming language of the API files (string)

Returns:
  name of the directory containing the API files (string)

Up

## initGlobals

initGlobals()

Sets the values of globals that need more than a simple assignment.

Up

## installEric

installEric()

Actually perform the installation steps.

Up

## main

main(argv)

The main function of the script.

argv
  the list of command line arguments.

Up

## usage

usage(rcode = 2)

Display a usage message and exit.

rcode
  the return code passed back to the calling process.

Up

## wrapperName

wrapperName(dname, wfile)

Create the platform specific name for the wrapper script.

dname
  name of the directory to place the wrapper into
wfile
  basename (without extension) of the wrapper script

Returns:
  the name of the wrapper script

Up